function [df_LR,df_JS,df_combined,df_s_squared,df_combined_RIP_1,...
    df_combined_RIP_2,m_phi_LR,m_phi_JS,m_phi_combined] = degfreedom(d1,d2,Kr,Kc,r)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
df_LR = r*(d1 + d2 - r);
df_JS = Kr* d2;
df_combined = r*(Kr + Kc -r);
df_combined_RIP_1 = r.*(Kr + Kc).*log(exp(1)*max(d1./Kr,d2./Kc));
df_combined_RIP_2 = r.*(Kr + Kc).*log(max(d1./Kr,d2./Kc));
df_s_squared = (Kr * Kc);
m_phi_LR = df_LR/d2;
m_phi_JS = df_JS/d2;
m_phi_combined = df_combined/d2;

end

